(define-module (glicid packages maths)
  #:use-module (guix packages)
  #:use-module (guix utils)
  #:use-module (gnu packages maths)
  #:use-module (gnu packages commencement)
  #:use-module (gnu packages mpi)
  #:use-module (guix download)
  #:use-module (guix git-download)
  #:use-module (gnu packages)
)

(define-public scalapack-newer
  (package
    (inherit scalapack) 
    (name "scalapack-newer")
    (version "2.1.0-new-upstream")
    (source
      (origin
        (method git-fetch)
        (uri
          (git-reference
            (url "https://oauth2:9i-PgbC2w_JEx6DUUqzf@gitlab.univ-nantes.fr/CCIPL/legacy_code_mirror/scalapack.git")
            (commit "myv2.0.2")
          )
        )
        (file-name "scalapack-univ-myv2")
        (patches (search-patches "scalapack-blacs-mpi-deprecations.patch"))
        (sha256 (base32 "1ccic46psf2hl9wsyflvkn5rxg8k17q578m9mzimvm9brbggf0na" ))
      )
    )
    (arguments
      `(#:configure-flags `("-DBUILD_SHARED_LIBS:BOOL=YES")
        #:phases (modify-phases %standard-phases
          (add-before 'check 'mpi-setup
            ,%openmpi-setup
          )
        )
       )
    )
  )
)

(define-public scalapack-latest scalapack-newer)

(define-public openblas-newer-0.3.15
  (package
    (inherit openblas)
    (name "openblas-newer")
    (version "0.3.15")
    (source
      (origin
        (method url-fetch)
        (uri (string-append "https://github.com/xianyi/OpenBLAS/releases/download/v" version "/OpenBLAS-" version ".tar.gz" ))
        (sha256 (base32 "1gjbkrsh6n28hdp2ciyjigc8vg764d2r0jbzl63v753mjzn9va9h"))
      )
    )
  )
)
